package com.jpsoft.shinestar.modules.workflow.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.workflow.entity.ProcessTemplate;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface ProcessTemplateService {
	ProcessTemplate get(String id);
	boolean exist(String id);
	int insert(ProcessTemplate model);
	int update(ProcessTemplate model);
	int updateMove(ProcessTemplate model,ProcessTemplate swapProcessTemplate);
	int delete(String id);
	List<ProcessTemplate> list();
	ProcessTemplate findBySort(int sort);
	ProcessTemplate findByProcessSetId(String processSetId);
	Page<ProcessTemplate> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);
}